#
server:
  port: 18089
  servlet:
    context-path: /

mybatis:
  mapper-locations: classpath:mapper/**/*.xml
  configuration:
    object-wrapper-factory: com.saye.hospitalgd.config.dataSourceConfig.MapWrapperFactory
    call-setters-on-nulls: true

spring:
  datasource: #数据库连接设置
    #    url: jdbc:mysql://localhost:3306/hn?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    url: jdbc:mysql://localhost:3306/nxwj_dz?useSSL=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
    username: root
    password: 123456
#    password: 123456
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 1
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      pool-name: HikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
  #定时任务
  quartz:
    #相关属性配置
    properties:
      org:
        quartz:
          scheduler:
            #调度标识名 集群中每一个实例都必须使用相同的名称
            instanceName: clusteredScheduler
            #ID设置为自动获取 每一个必须不同
            instanceId: AUTO
          jobStore:
            #数据保存方式为持久化
            class: org.quartz.impl.jdbcjobstore.JobStoreTX
            #数据库平台
            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
            #数据库别名 随便取
            dataSource: myXADS
            #表的前缀
            tablePrefix: QRTZ_
            #加入集群
            isClustered: false
            #调度实例失效的检查时间间隔
            clusterCheckinInterval: 10000
            #设置为TRUE不会出现序列化非字符串类到 BLOB 时产生的类版本问题
            useProperties: true
            #容许的最大作业延长时间
            misfireThreshold: 60000
          threadPool:
            #ThreadPool 实现的类名
            class: org.quartz.simpl.SimpleThreadPool
            #线程数量
            threadCount: 10
            #线程优先级
            threadPriority: 5
            #自创建父线程
            threadsInheritContextClassLoaderOfInitializingThread: true
    #数据库方式
    job-store-type: jdbc
    #初始化表结构
    #jdbc:
    #initialize-schema: never

  thymeleaf: #thymeleaf设置
    prefix: classpath:/templates/
    suffix: .html
    mode: LEGACYHTML5
    encoding: UTF-8
    cache: false
    servlet:
      content-type: text/html
  servlet: #上传文件
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      file-size-threshold: 0
      enabled: true
      location:
#  jackson:
#    time-zone: GMT+8
#    date-format: yyyy-MM-dd HH:mm:ss
#  redis: #redis配置
#    database: 0
#    host: 127.0.0.1
#    port: 6379
#    password: 123456
#    timeout: 3000
#    jedis:
#      pool:
#        max-active: 8
#        max-wait: -1
#        max-idle: 8
#        min-idle: 0
#
#pagehelper: #分页配置
#  helper-dialect: mysql
#  reasonable: true
#日志
logging:
  level:
    com.saye: debug
  pattern:
    console: "%d{yyyy/MM/dd-HH:mm:ss} [%thread] %-5level %logger- %msg%n"
